IPSW-SYMBOLICATE(1)

NAME
ipsw-symbolicate - Symbolicate ARM 64-bit crash logs (similar to Apple's symbolicatecrash)

SYNOPSIS
ipsw symbolicate [IPSW|DSC] [flags]

DESCRIPTION
Symbolicate ARM 64-bit crash logs (similar to Apple's symbolicatecrash)

OPTIONS
-a, --all[=false]
    Show all threads in crashlog

-d, --demangle[=false]
    Demangle symbol names

--extra="x"
    Path to folder with extra files for symbolication

-h, --help[=false]
    help for symbolicate

--hex[=false]
    Display function offsets in hexadecimal

--pem-db=""
    AEA pem DB JSON file

-p, --proc=""
    Filter crashlog by process name

-r, --running[=false]
    Show all running (TH_RUN) threads in crashlog

-s, --server=""
    Symbol Server DB URL

--signatures=""
    Path to signatures folder

-u, --unslide[=false]
    Unslide the crashlog for easier static analysis

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

EXAMPLE
    # Symbolicate a panic crashlog (BugType=210) with an IPSW
    ❯ ipsw symbolicate panic-full-2024-03-21-004704.000.ips iPad_Pro_HFR_17.4_21E219_Restore.ipsw
    # Pretty print a crashlog (BugType=309) these are usually symbolicated by the OS
    	  ❯ ipsw symbolicate --color Delta-2024-04-20-135807.ips
    	  # Symbolicate a (old stype) crashlog (BugType=109) requiring a dyld_shared_cache to symbolicate
    	  ❯ ipsw symbolicate Delta-2024-04-20-135807.ips
    	  ⨯ please supply a dyld_shared_cache for iPhone13,3 running 14.5 (18E5154f)

SEE ALSO
ipsw(1)

HISTORY
24-Oct-2025 Auto generated by spf13/cobra